import service from '../axios'

// 获取所有的委托列表(广告列表)
export function entrustList(param) {
    return service.post('entrust/list', param);
}

// 获取预约委托列表(我的预约)
export function subscribeMy(param) {
    return service.post('subscribe/my', param);
}

// 获取我的委托列表
export function entrustMy(param) {
    return service.post('entrust/my', param);
}

// 获取所有的购买列表(大盘成交列表)
export function entrustBuy(param) {
    return service.post('entrust/buy', param);
}

// 委托卖出合约
export function entrustContractPublisher(param) {
    return service.post('entrust/contract/publisher', param);
}

// 撤销委托合约交易
export function contractRevoke(param) {
    return service.post('entrust/contract/revoke', param);
}

// 发布预约合约委托
export function subscribeContractPublisher(param) {
    return service.post('subscribe/contract/publisher', param);
}

// 闪兑合约交易
export function contractTransfer(param) {
    return service.post('flash/contract/transfer', param);
}

// 领取预约委托合约的STT
export function subscribeContractReceive(param) {
    return service.post('subscribe/contract/receive', param);
}

// 购买委托合约交易
export function contractBuy(param) {
    return service.post('entrust/contract/buy', param);
}